# InventoryGUIBuilder

class InventoryGUIBuilder<T : ForInventory>(type: InventoryType<T>)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
onClickElement
Link copied to clipboard
fun onClickElement(onClick: (InventoryGUIClickEvent<T>) -> Unit)
Content copied to clipboard
page
Link copied to clipboard

Opens the builder for a new page and adds the new page to the GUI.

fun page(page: Int, builder: InventoryGUIPageBuilder<T>.() -> Unit)
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

title
Link copied to clipboard
var title: String
Content copied to clipboard
transitionFrom
Link copied to clipboard
var transitionFrom: InventoryChangeEffect?
Content copied to clipboard
transitionTo
Link copied to clipboard
var transitionTo: InventoryChangeEffect?
Content copied to clipboard
type
Link copied to clipboard
val type: InventoryType<T>
Content copied to clipboard